Creates a templated CSV download for users based on batchID

GET /users/templates/{templateName}/users

Operation id: UserService_GetTemplatedUsersFile

Description

Permission Level: Read

Tags: UserService

Parameters

Path parameters

NameTypeRequiredDescription
templateNamestringYesTemplate name of the template to use for downloading batch users, Required: true

Query parameters

NameTypeRequiredDescription
batchIdstringNobatch_id of the users to be downloaded. If missing, download all the tenant users. Required: false
includeClientsbooleanNoFlag to include clients, Default: false, Required: false if its set to true, all the client users(is_client: true) will be fetched.
scopestringNoWill only download users enabled for that particular scope. Required: false
tenantIdstringNotenant_id of the users, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.(streaming responses)

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.(streaming responses)

Content type: application/json

Schema

PropertyTypeRequiredDescription
resultobjectNo
errorobjectNo
{
  "type": "object",
  "properties": {
    "result": {
      "type": "object",
      "properties": {
        "data": {
          "type": "string",
          "format": "byte"
        }
      }
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "@type": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}